package com.steering.pss.crm.entity;

/**
 * 数据库表FMIS_BC_INLIST所对应的实体类（生成工具：代码生成器3.0）
 * @author milu   date 2021-12-11
 */
@SuppressWarnings("serial")
public class FmisBcInlistEntity implements java.io.Serializable {
    /**
     * 入库单编号
     */
    private String instockDoc = "";
    /**
     * 入库类型代码
     */
    private String instockTypeCode = "";
    /**
     * 入库类型名称（正常入库、盘盈入库、倒库入库）
     */
    private String instockTypeName = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     */
    private String batchGroudNo = "";
    /**
     * 物料码
     */
    private String materialNo = "";
    /**
     * 物料描叙
     */
    private String materialName = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 生产合同号
     */
    private String proOrderNo = "";
    /**
     * 产线代码（机组）
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 外径(实际)
     */
    private String actDimater = "";
    /**
     * 壁厚(实际)
     */
    private String actHeight = "";
    /**
     * 长度(实际)
     */
    private String actLen = "";
    /**
     * 长度下限(实际)
     */
    private String actLenMin = "";
    /**
     * 长度上限(实际)
     */
    private String actLenMax = "";
    /**
     * 材料支数(实际)
     */
    private String actCount = "";
    /**
     * 材料实重(实际)
     */
    private String actWeight = "";
    /**
     * 材料理论重量(实际)
     */
    private String actTheoryWeight = "";
    /**
     * 所属权单位代码
     */
    private String belongCode = "";
    /**
     * 所属权单位
     */
    private String belongName = "";
    /**
     * 仓库代码
     */
    private String storageNo = "";
    /**
     * 手工录入标志
     */
    private String handFlag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 合同子行号
     */
    private String deliveryNo = "";
    /**
     * 材料类别（8014在制品、成品、商品）
     */
    private String productFlag = "";
    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     */
    private String matStatus = "";
    /**
     * 判定标准
     */
    private String judgeStdName = "";
    /**
     * 判定标准代码
     */
    private String judgeStdCode = "";
    /**
     * 首次入库时间
     */
    private String inTimeF = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 备注(入库)
     */
    private String pipmemo = "";
    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     */
    private String soureCode = "";
    /**
     * 材料来源地名称
     */
    private String soureName = "";
    /**
     * 材料来源代码（1外购、2机组产出等）
     */
    private String matOriginCode = "";
    /**
     * 材料来源（1外购、2机组产出等）
     */
    private String matOriginName = "";
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 标识炉号
     */
    private String flagStoveNoZg = "";
    /**
     * 工序代码
     */
    private String processCdoe = "";
    /**
     * 工序名称
     */
    private String processDesc = "";
    /**
     * 同步状态 0未同步 1已同步
     */
    private String syncFlag = "";
    /**
     * 同步时间
     */
    private String syncTime = "";
    /**
     * 仓库名称
     */
    private String storageName = "";
    /**
     * 入库时间
     */
    private String instockTime = "";

    /**
     * 入库单编号
     * @return value
     */
    public String getInstockDoc() {
        return instockDoc;
    }

    /**
     * 入库单编号
     * @param instockDoc value
     */
    public void setInstockDoc(String instockDoc) {
        this.instockDoc = instockDoc;
    }

    /**
     * 入库类型代码
     * @return value
     */
    public String getInstockTypeCode() {
        return instockTypeCode;
    }

    /**
     * 入库类型代码
     * @param instockTypeCode value
     */
    public void setInstockTypeCode(String instockTypeCode) {
        this.instockTypeCode = instockTypeCode;
    }

    /**
     * 入库类型名称（正常入库、盘盈入库、倒库入库）
     * @return value
     */
    public String getInstockTypeName() {
        return instockTypeName;
    }

    /**
     * 入库类型名称（正常入库、盘盈入库、倒库入库）
     * @param instockTypeName value
     */
    public void setInstockTypeName(String instockTypeName) {
        this.instockTypeName = instockTypeName;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 生产合同号
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 产线代码（机组）
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码（机组）
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 外径(实际)
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径(实际)
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚(实际)
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚(实际)
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度(实际)
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度(实际)
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 长度下限(实际)
     * @return value
     */
    public String getActLenMin() {
        return actLenMin;
    }

    /**
     * 长度下限(实际)
     * @param actLenMin value
     */
    public void setActLenMin(String actLenMin) {
        this.actLenMin = actLenMin;
    }

    /**
     * 长度上限(实际)
     * @return value
     */
    public String getActLenMax() {
        return actLenMax;
    }

    /**
     * 长度上限(实际)
     * @param actLenMax value
     */
    public void setActLenMax(String actLenMax) {
        this.actLenMax = actLenMax;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 材料理论重量(实际)
     * @return value
     */
    public String getActTheoryWeight() {
        return actTheoryWeight;
    }

    /**
     * 材料理论重量(实际)
     * @param actTheoryWeight value
     */
    public void setActTheoryWeight(String actTheoryWeight) {
        this.actTheoryWeight = actTheoryWeight;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 仓库代码
     * @return value
     */
    public String getStorageNo() {
        return storageNo;
    }

    /**
     * 仓库代码
     * @param storageNo value
     */
    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    /**
     * 手工录入标志
     * @return value
     */
    public String getHandFlag() {
        return handFlag;
    }

    /**
     * 手工录入标志
     * @param handFlag value
     */
    public void setHandFlag(String handFlag) {
        this.handFlag = handFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 合同子行号
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @return value
     */
    public String getProductFlag() {
        return productFlag;
    }

    /**
     * 材料类别（8014在制品、成品、商品）
     * @param productFlag value
     */
    public void setProductFlag(String productFlag) {
        this.productFlag = productFlag;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @return value
     */
    public String getMatStatus() {
        return matStatus;
    }

    /**
     * 材料状态（801501在制品阶段、801502成品、801503商品...）
     * @param matStatus value
     */
    public void setMatStatus(String matStatus) {
        this.matStatus = matStatus;
    }

    /**
     * 判定标准
     * @return value
     */
    public String getJudgeStdName() {
        return judgeStdName;
    }

    /**
     * 判定标准
     * @param judgeStdName value
     */
    public void setJudgeStdName(String judgeStdName) {
        this.judgeStdName = judgeStdName;
    }

    /**
     * 判定标准代码
     * @return value
     */
    public String getJudgeStdCode() {
        return judgeStdCode;
    }

    /**
     * 判定标准代码
     * @param judgeStdCode value
     */
    public void setJudgeStdCode(String judgeStdCode) {
        this.judgeStdCode = judgeStdCode;
    }

    /**
     * 首次入库时间
     * @return value
     */
    public String getInTimeF() {
        return inTimeF;
    }

    /**
     * 首次入库时间
     * @param inTimeF value
     */
    public void setInTimeF(String inTimeF) {
        this.inTimeF = inTimeF;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 备注(入库)
     * @return value
     */
    public String getPipmemo() {
        return pipmemo;
    }

    /**
     * 备注(入库)
     * @param pipmemo value
     */
    public void setPipmemo(String pipmemo) {
        this.pipmemo = pipmemo;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @return value
     */
    public String getSoureCode() {
        return soureCode;
    }

    /**
     * 材料来源地代码（产线、外委、外购对应的具体项目）
     * @param soureCode value
     */
    public void setSoureCode(String soureCode) {
        this.soureCode = soureCode;
    }

    /**
     * 材料来源地名称
     * @return value
     */
    public String getSoureName() {
        return soureName;
    }

    /**
     * 材料来源地名称
     * @param soureName value
     */
    public void setSoureName(String soureName) {
        this.soureName = soureName;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginCode() {
        return matOriginCode;
    }

    /**
     * 材料来源代码（1外购、2机组产出等）
     * @param matOriginCode value
     */
    public void setMatOriginCode(String matOriginCode) {
        this.matOriginCode = matOriginCode;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @return value
     */
    public String getMatOriginName() {
        return matOriginName;
    }

    /**
     * 材料来源（1外购、2机组产出等）
     * @param matOriginName value
     */
    public void setMatOriginName(String matOriginName) {
        this.matOriginName = matOriginName;
    }

    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 标识炉号
     * @return value
     */
    public String getFlagStoveNoZg() {
        return flagStoveNoZg;
    }

    /**
     * 标识炉号
     * @param flagStoveNoZg value
     */
    public void setFlagStoveNoZg(String flagStoveNoZg) {
        this.flagStoveNoZg = flagStoveNoZg;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 同步状态 0未同步 1已同步
     * @return value
     */
    public String getSyncFlag() {
        return syncFlag;
    }

    /**
     * 同步状态 0未同步 1已同步
     * @param syncFlag value
     */
    public void setSyncFlag(String syncFlag) {
        this.syncFlag = syncFlag;
    }

    /**
     * 同步时间
     * @return value
     */
    public String getSyncTime() {
        return syncTime;
    }

    /**
     * 同步时间
     * @param syncTime value
     */
    public void setSyncTime(String syncTime) {
        this.syncTime = syncTime;
    }

    /**
     * 仓库名称
     * @return value
     */
    public String getStorageName() {
        return storageName;
    }

    /**
     * 仓库名称
     * @param storageName value
     */
    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    /**
     * 入库时间
     * @return value
     */
    public String getInstockTime() {
        return instockTime;
    }

    /**
     * 入库时间
     * @param instockTime value
     */
    public void setInstockTime(String instockTime) {
        this.instockTime = instockTime;
    }
}
